<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Inscription</title>
    <link rel="stylesheet" href="style.css">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Kanit:wght@300&display=swap" rel="stylesheet">

</head>

<body>
    <header>ENI - <em> MEMORY </em> - S'inscrire</header>
    <nav>
        <ul class="navigation">
            <li><a class="lien_navigation" href="index.html" target="_self">Accueil</a></li>
            <li><a class="lien_navigation" href="inscription.html" target="_self">S'inscrire</a></li>
            <li><a class="lien_navigation" href="connexion.html" target="_self">Se connecter</a></li>
            <li><a class="lien_navigation" href="profil.html" target="_self">Profil</a></li>
            <li><a class="lien_navigation" href="jeu.html" target="_self">Jouer</a></li>
        </ul>
    </nav>
    <br>
    <form action="" method="get">
        <fieldset>
            <section class="inscription">
                <legend>Inscrivez-vous</legend>
                <div class="champInscription">
                    <label for="nomUtilisateur">Nom d'utilisateur :</label>
                    <div class="champNomUtilisateur">
                        <input type="text" name="nomUtilisateur" id="nomUtilisateur" placeholder="3 caractères minimum">
                        <img id="messageOKNom" src="ressources/check.svg" alt="check">
                        <img id="messageKONom" src="ressources/error.svg" alt="error">
                    </div>
                    <p id="textKONom"></p>
                    <hr>
                </div>
                <div class="champInscription">
                    <label for="email">Entrez votre email :</label>
                    <div class="champMail">
                        <input type="email" name="email" id="email" pattern="" placeholder="votre email">
                        <img id="messageOKMail" src="ressources/check.svg" alt="check">
                        <img id="messageKOMail" src="ressources/error.svg" alt="error">
                    </div>
                    <p id="textKOMail"></p>
                    <hr>
                </div>
                <div class="champInscription">
                    <label for="mdp">Mot de passe :</label>
                    <div class="champMdp1">
                        <input type="password" name="mdp" id="mdp" placeholder="Votre mot de passe">
                        <img id="messageOKMdp" src="ressources/check.svg" alt="check">
                        <img id="messageKOMdp" src="ressources/error.svg" alt="error">
                    </div>
                    <hr>
                    <p>Au moins 1 symbole, 1 chiffre ainsi que 6 caractères minimum</p>
                    <div class="aideSaisieMots">
                        <div id="mdpFaible"></div>
                        <div id="mdpMoyen"></div>
                        <div id="mdpFort"></div>
                    </div>
                </div>
                <div class="champInscription">
                    <label for="mdp">Confirmation du mot de passe :</label>
                    <div class="champMdp2">
                        <input type="password" name="mdp2" id="mdp2" placeholder="Confirmez le mot de passe">
                        <img id="OKconfirmMdp" src="ressources/check.svg" alt="check">
                        <img id="KOconfirmMdp" src="ressources/error.svg" alt="error">
                    </div>
                    <hr>
                </div>
                <div class="validation">

                    <body>
                        <form>
                            <input class="bouton" type="button" onclick="window.location.href = 'http://127.0.0.1:5500/jeu.html';" value="Création du compte" />
                            <input class="bouton" type="button" onclick="window.location.href = 'http://127.0.0.1:5500/inscription.html';" value="Annuler" />
                          </form>
                </div>
            </section>
        </fieldset>
    </form>
    <script src="scriptInscription.js"></script>
    <script src="stockageDataUtilisateurs.js"></script>
</body>

</html>